import { DataNode } from "antd/lib/tree";

/**
 * 更新目录
 * @param list 
 * @param key 
 * @param children 
 * @returns 
 */
export const updateTreeData = (list: DataNode[], key: React.Key, children: DataNode[]): DataNode[] => {
    return list.map(node => {
        if (node.key === key) {
            return {
                ...node,
                children,
            };
        }
        if (node.children) {
            return {
                ...node,
                children: updateTreeData(node.children, key, children),
            };
        }
        return node;
    });
}