import { Card, Input, Select } from "antd"
import React, { useContext } from "react"
import { DispatchCloudNew } from ".";

interface Props {
    onSearch?: (value: CLOUDNEW.SearchProps) => void
}
const Search: React.FC<Props> = ({ onSearch }) => {

    /**********************************/
    const { searchParams, setSearchParams } = useContext(DispatchCloudNew)!;
    /**********************************/


    return <Card
        bodyStyle={{ padding: '5px 10px', overflow: 'auto hidden', display: 'flex', gap: 6, flexWrap: 'wrap' }}
        className="cardResetCss buttonResetCss"
        bordered
    >
        <Input.Group compact>
            <Select value={searchParams.searchType} onChange={(e) => setSearchParams({ ...searchParams, searchType: e })} style={{ width: 100 }}>
                {/* <Select.Option value="folder">搜文件夹</Select.Option> */}
                <Select.Option value="file">搜素材</Select.Option>
            </Select>
            <Input.Search
                enterButton
                style={{ width: 220 }}
                onSearch={(value) => {
                    onSearch?.({ ...searchParams, keyword: value })
                }}
                allowClear
                placeholder="请输入关键词"
            />
        </Input.Group>
    </Card>
}

export default React.memo(Search)